# squeeze

removes singleton dimensions of a hypermatrix

## Calling Sequence

    hypOut = squeeze(hypIn)

## Arguments

hypIn

  a hypermatrix or matrix of constant type.

hypOut

  a hypermatrix or matrix of constant type.

## Description

The `squeeze` function removes singleton dimensions of a hypermatrix, that is any dimension for which the size is `1`. If the input `hypIn` is a matrix, it is unaffected.

## Examples

    	M1 = zeros(2,1,5)
    	squeeze(M1)
    	squeeze(M1(:,:,1))

    	M2 = hypermat([2 1 2 1],1:4)
    	squeeze(M2)

## See Also

- hypermat
- hypermatrices